package at.jku.ssw.set;

/**
 * A set of characters.
 */
public abstract class Set {

	/**
	 * Adds the specified char to this set if it is not already present.
	 */
	public abstract void add(char c);

	/**
	 * Returns <code>true</code> if this set contains the specified char,
	 * otherwise <code>false</code>.
	 */
	public abstract boolean contains(char c);

	/**
	 * Removes the specified char from this set if it is present.
	 *
	 * @return <code>true</code> if the set contained the specified char,
	 *         <code>false</code> otherwise.
	 */
	public abstract boolean remove(char c);

	/**
	 * Returns the number of chars in this set.
	 */
	public abstract int size();

}